%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:           mingw32-netcf
Version:        0.1.6
Release:        3%{?dist}%{?extra_release}
Summary:        Cross-platform network configuration library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            https://fedorahosted.org/netcf/
Source0:        http://astokes.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:  mingw32-filesystem >= 56
BuildRequires:  mingw32-readline
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libxml2 
BuildRequires:  mingw32-libxslt
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-w32api
Requires:       pkgconfig

BuildRequires:	redhat-rpm-config

# New libtool to get rid of rpath
BuildRequires: autoconf, automake, libtool

%description
A library for modifying the network configuration of a system. Network
configurations are expresed in a platform-independent XML format, which
netcf translates into changes to the system's 'native' network
configuration files.

MinGW cross-compiled Windows library.

%prep
%setup -q

%build
PATH=%{_mingw32_bindir}:$PATH \
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*dll.a' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/netcf

# The windows version doesn't include augeas support
sed -i.sed s/augeas\ \>=\ 0.5.0// $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig/netcf.pc
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig/netcf.pc.sed

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_mingw32_bindir}/ncftool.exe
%{_mingw32_bindir}/libnetcf-1.dll
%{_mingw32_includedir}/netcf.h
%{_mingw32_libdir}/pkgconfig/netcf.pc
%{_mingw32_datadir}

%doc AUTHORS COPYING NEWS

%changelog
* Tue Oct 12 2010 Andrew Beekhof <andrew@beekhof.net> - 0.1.6-3
- Remove the Augeas dependancy from the pkg-config file

* Mon Sep 1 2010 Adam Stokes <ajs@redhat.com> - 0.1.6-2
- Update spec to not require .dll.a or *.la
- Fixed building of DLL

* Thu Apr 16 2010 Laine Stump <laine@redhat.com> - 0.1.6-1
- New version

* Mon Nov 30 2009 David Lutterkort <lutter@redhat.com> - 0.1.5-1
- New version

* Thu Nov  5 2009 David Lutterkort <lutter@redhat.com> - 0.1.4-1
- New version

* Tue Oct 27 2009 David Lutterkort <lutter@redhat.com> - 0.1.3-1
- New version

* Fri Sep 25 2009 David Lutterkort <lutter@redhat.com> - 0.1.2-1
- New Version

* Wed Sep 16 2009 David Lutterkort <lutter@redhat.com> - 0.1.1-1
- New Version

* Mon Jul 13 2009 David Lutterkort <lutter@redhat.com> - 0.1.0-1
- BR on augeas-0.5.2
- Drop explicit requires for augeas-libs

* Wed Apr 15 2009 David Lutterkort <lutter@redhat.com> - 0.0.2-1
- Updates acording to Fedora review

* Fri Feb 27 2009 David Lutterkort <lutter@redhat.com> - 0.0.1-1
- Initial specfile
